This repository holds small usefull utilities to ease such tasks as build of Bluetooth packages

BlueZ_5.19_wl18xx_build_bt_for_SDK7: build Bluetooth components
======================================
By calling specific utility name and action. This script compiles one of utilities: 

Usage: wl12xx_build.sh target <
			expat 
			libffi
			glib 
			dbus 
			libIConv 
			zlib 
			gettext 
			alsa-lib 
			dbus-glib 
			check 
			python 
			pygobject 
			dbus-python 
			bluez 
			hcidump 
			ncurses 
			readline 
			openobex 
			udev 
			libical 
			obexd 
			bt-obex 
			firmware 
			wl1271-demo >  action <download|build|install>
			all
			clean-all

In case the options is 'all' all utilities will be downloaded and installed on root file system.
Option clean-all uninstalls all components and removes their sources from computer.

File setup-env contains all required environment variables:
	ROOTFS=<path to target root file system>
Cross compiler to be used to compile all components:
	CROSS_COMPILER=arm-none-linux-gnueabi-
Path to tool chain used to compile sources:
	PATH=$PATH:<toolchain path>
Path where kernel sources can be found
	KLIB_BUILD=< path to kernel build>
Working directory where all necessary sources will be downloaded and compiled
	WORK_SPACE=<path>
Type of target board, used during build of bluetooth, currently supported: "am1808", "omap3evm", "am335x"
	MACHINE_TYPE=
Path where pkg-config utility looks for configuration files (.pc) of libraries
	PKG_CONFIG_PATH=${ROOTFS}/lib/pkgconfig:${ROOTFS}/usr/lib/pkgconfig
	PKG_CONFIG_DEBUG_SPEW
	PKG_CONFIG_LIBDIR=${PKG_CONFIG_PATH}

Path to root file system where new kernel modules will be installed
	KLIB=$ROOTFS
Compiler
	CC=${CROSS_COMPILE}gcc  
Linker
	LD=${CROSS_COMPILE}ldd
Ranlib utility
	RANLIB=${CROSS_COMPILE}ranlib
Archiver for libraries
	AR=${CROSS_COMPILE}ar
'ls' utility, to ensure no alias is used
LS=/bin/ls
